Loading...
Searching...
No Matches
DataProvider API Profiles

## Variables

const | DataProvider::DPSP_REST = "rest"
const | DataProvider::DPSP_SOAP = "soap"

## Detailed Description

These constants define supported server profiles for data provider factories that provide API management services

## Variable Documentation

## DPSP_REST

const DataProvider::DPSP_REST = "rest"

Data provider HTTP server profile This profile indicates that the given data provider factory supports serving APIs with REST and a REST schema

## DPSP_SOAP

const DataProvider::DPSP_SOAP = "soap"

This profile indicates that the given data provider factory supports serving APIs with SOAP and a WSDL schema